/////////////////////////////////////////////////
// ADHÉSION
// [DOMAIN]/inscription
/////////////////////////////////////////////////

/////////////////////////////////////////////////
// LOGGING
/////////////////////////////////////////////////
const logger = require("../public/js/app/logger_wuzuki");

/////////////////////////////////////////////////
// APPELS DES MODULES
/////////////////////////////////////////////////
const express = require('express');
const router = express.Router();
const moment = require('moment');

/////////////////////////////////////////////////
// APPELS DES FONCTIONS
/////////////////////////////////////////////////
const {
    post_form_envoie_message
} = require("../controllers/wuzukiController");

/////////////////////////////////////////////////
// ROUTES
/////////////////////////////////////////////////

// Racine wuzuki
router.get('/', function(req, res) {
    logger.info("on est dans la page web racine wuzuki (wuzukiRouter.js)", { numsession: req.session.id });
    res.render('app/page_templates/inscription_accueil');
});

// WUZUKI DEMANDE DE CONTACT
router.get('/envoie_message', function(req, res) {
    logger.info("on est dans la page web /envoie_message (appRouter.js)", { numsession: req.session.id });

    // AFFICHER LES VARIABLES CONTENANT LES ERREURS
    logger.info("req.session.affiche_err_1 = " + req.session.affiche_err_1, { numsession: req.session.id });
    if (req.session.affiche_err_1) {
        res.locals.affiche_err_1 = req.session.affiche_err_1;
        // on supprime le contenu après affichage
        req.session.affiche_err_1 = undefined;
    }

    res.locals.dirname = __dirname;

    // affichage du template ejs /views/page_templates/formulaire_adhesion_mail.ejs
    res.render('wuzuki/page_templates/formulaire_envoie_message');
});

// 2 - Récupérer et traiter les informations
router.post('/envoie_message', post_form_envoie_message);





/////////////////////////////////////////////////
// EXPORT DE MODULE POUR QU'IL SOIT LU DANS LES AUTRES FICHIERS JS
/////////////////////////////////////////////////
module.exports = router;